Export list as CSV (large selection)
curl --request POST \
--url https://api.nuvia.ai/v1/tables/{id}/export-csv \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"view": "<string>",
"filters": [
{
"field": "<string>",
"value": "<string>"
}
],
"sort": "<string>",
"limit": 10000,
"rowIds": [
"<string>"
],
"excludeRowIds": [
"<string>"
]
}
'import requests
url = "https://api.nuvia.ai/v1/tables/{id}/export-csv"
payload = {
"view": "<string>",
"filters": [
{
"field": "<string>",
"value": "<string>"
}
],
"sort": "<string>",
"limit": 10000,
"rowIds": ["<string>"],
"excludeRowIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
view: '<string>',
filters: [{field: '<string>', value: '<string>'}],
sort: '<string>',
limit: 10000,
rowIds: ['<string>'],
excludeRowIds: ['<string>']
})
};
fetch('https://api.nuvia.ai/v1/tables/{id}/export-csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tabelas e Listas
Export list as CSV (large selection)
Same export as the GET, with the parameters in the body. Required when the selection has more than 100 rows: in the query string, the parser converts the array into an object (qs arrayLimit) and the URL exceeds Node’s maxHeaderSize.
POST
/
v1
/
tables
/
{id}
/
export-csv
Export list as CSV (large selection)
Authorizations
Token JWT de autenticação
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Path Parameters
List ID
Body
application/json
ID of the view to use. If omitted, uses the default view
Filters to apply to the rows
Show child attributes
Show child attributes
Column to sort by
Sort direction
Available options:
asc, desc Limit of rows to export (max 10000)
Required range:
1 <= x <= 10000IDs of the rows to export (selected only). When provided, exports only these rows.
Maximum array length:
10000IDs of rows to exclude from the export. Used when "select all" is active.
Maximum array length:
10000Response
200 - undefined